Skip to main content
DELETE
/
connections
/
{connection_id}
Python
import os
from datagrid_ai import Datagrid

client = Datagrid(
    api_key=os.environ.get("DATAGRID_API_KEY"),  # This is the default and can be omitted
)
client.connections.delete(
    "connection_id",
)
{
  "status_code": 123,
  "error": "rate_limit_exceeded",
  "message": "<string>",
  "retryable": true,
  "statusCode": 123,
  "mitigation": "<string>",
  "details": {
    "reason": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.datagrid.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

connection_id
string
required

The id of the connection to delete.

Response

Successfully deleted connection